<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Weapons/FirearmActionAttachMagazine.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d62/_firearm_action_attach_magazine_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">FirearmActionAttachMagazine.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d62/_firearm_action_attach_magazine_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d7/dfa/class_firearm_action_attach_magazine.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/dfa/class_firearm_action_attach_magazine.html">FirearmActionAttachMagazine</a> : <a class="code hl_class" href="../../d1/d3a/class_firearm_action_base.html">FirearmActionBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="comment">//-----------------------------------------------------</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="comment">//  Action events and methods</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="comment">//-----------------------------------------------------</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d7/dfa/class_firearm_action_attach_magazine.html#ad74a8f6ded04998b5ee82a919ff978a8">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dfa/class_firearm_action_attach_magazine.html#ad74a8f6ded04998b5ee82a919ff978a8">FirearmActionAttachMagazine</a>() </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#attach&quot;</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }   </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d7/dfa/class_firearm_action_attach_magazine.html#a97721ae6eb2cc2421689f962aa0eaa73">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d7/dfa/class_firearm_action_attach_magazine.html#a97721ae6eb2cc2421689f962aa0eaa73">GetActionCategory</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#a4eb1e98494181fa7bcd7ed24381d61e6">AC_SINGLE_USE</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="comment">/*string GetTargetDescription()</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">    {</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">        return &quot;default target description&quot;;</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">/*protected bool ActionConditionContinue( ActionData action_data ) //condition for action</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">    {</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">        return true;</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d7/dfa/class_firearm_action_attach_magazine.html#a93ae799b68309b671d0aad8e7ce62907">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dfa/class_firearm_action_attach_magazine.html#a93ae799b68309b671d0aad8e7ce62907">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item ) <span class="comment">//condition for action</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span> (!super.ActionCondition( player, target, item ))</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_class" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a> hcw = player.GetCommandModifier_Weapons();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        Magazine mag = Magazine.Cast(target.GetObject());   </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> wpn = <a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>.Cast(item);   </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">return</span> mag &amp;&amp; (player.GetWeaponManager().CanAttachMagazine(wpn,mag) || player.GetWeaponManager().CanSwapMagazine(wpn,mag)) &amp;&amp; (!hcw || hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">GetRunningAction</a>() != <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.RELOAD);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d7/dfa/class_firearm_action_attach_magazine.html#a551c195a2bbac1428956798d753a6708">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dfa/class_firearm_action_attach_magazine.html#a551c195a2bbac1428956798d753a6708">ActionConditionContinue</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d7/dfa/class_firearm_action_attach_magazine.html#aad0be74e804d88fe890f458be08096dc">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dfa/class_firearm_action_attach_magazine.html#aad0be74e804d88fe890f458be08096dc">Start</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        super.Start( action_data );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> wpn = <a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        Magazine mag = Magazine.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()); </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetWeaponManager().CanAttachMagazine(wpn,mag,<span class="keyword">false</span>) )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetWeaponManager().AttachMagazine(mag, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetWeaponManager().SwapMagazine(mag, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d7/dfa/class_firearm_action_attach_magazine.html#a31955c01af1aa972e72cefe8bbc8a4f9">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dfa/class_firearm_action_attach_magazine.html#a31955c01af1aa972e72cefe8bbc8a4f9">CanBePerformedFromInventory</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d7/dfa/class_firearm_action_attach_magazine.html#ab1e20e8c393ac30474d98b82cd59cae6">   58</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dfa/class_firearm_action_attach_magazine.html#ab1e20e8c393ac30474d98b82cd59cae6">CanBePerformedFromQuickbar</a>()</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="comment">// action need first have permission from server before can start</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="comment">/*bool UseAcknowledgment()</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment">    {</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="comment">        return true;</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="comment">/*override int GetState( ActionData action_data )</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="comment">    {</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="comment">        return UA_PROCESSING;</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">/*override float GetProgress( ActionData action_data )</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">    {</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">        return -1;</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>};</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html">   82</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html">FirearmActionAttachMagazineQuick</a> : <a class="code hl_class" href="../../d1/d3a/class_firearm_action_base.html">FirearmActionBase</a></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>{   </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#ad6ba5eda892299889da75b93689135a2">   84</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#ad6ba5eda892299889da75b93689135a2">FirearmActionAttachMagazineQuick</a>() </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    }   </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#ab079bdbec2e6b9376823297fcbfb95b1">   88</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#ab079bdbec2e6b9376823297fcbfb95b1">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item ) <span class="comment">//condition for action</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">if</span> (!super.ActionCondition( player, target, item ))</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_class" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a> hcw = player.GetCommandModifier_Weapons();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">if</span> (hcw &amp;&amp; hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">GetRunningAction</a>() == <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.RELOAD)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_class" href="../../d7/da1/class_magazine_storage.html">MagazineStorage</a> mag = <a class="code hl_class" href="../../d7/da1/class_magazine_storage.html">MagazineStorage</a>.Cast(player.GetWeaponManager().GetPreparedMagazine());</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">if</span> (!mag)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_class" href="../../db/de5/class_weapon.html">Weapon</a> weapon = <a class="code hl_class" href="../../db/de5/class_weapon.html">Weapon</a>.Cast(item);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordtype">bool</span> isLoadedMag = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0, count = weapon.GetMuzzleCount(); i &lt; count; ++i)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            isLoadedMag |= ( mag == weapon.GetMagazine( i ) );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">return</span> !isLoadedMag;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a15c727d47dfdc96623fe7a55b0ea2fc6">  111</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a15c727d47dfdc96623fe7a55b0ea2fc6">SetupAction</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> extra_data = NULL)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">if</span>( super.SetupAction( player, target, item, action_data, extra_data))</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <span class="keywordflow">if</span>( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>                <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> newTarget = <span class="keyword">new</span> <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>(player.GetWeaponManager().GetPreparedMagazine(), null, -1, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>, -1);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                action_data.m_Target = newTarget;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a789d82471d93a0dbd99ea07d2af99f6b">  125</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a789d82471d93a0dbd99ea07d2af99f6b">Start</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        super.Start( action_data );</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> wpn = <a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        Magazine mag = Magazine.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject()); </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetWeaponManager().CanAttachMagazine(wpn,mag,<span class="keyword">false</span>) )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetWeaponManager().AttachMagazine(mag, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetWeaponManager().SwapMagazine(mag, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a3ed8beca445d7b564038e82ae48e045c">  136</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a3ed8beca445d7b564038e82ae48e045c">HasTarget</a>()</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a515dddf1a3622c019ef7d6eda76b7bc9">  141</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a515dddf1a3622c019ef7d6eda76b7bc9">HasProgress</a>()</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a84f6a21f5b4f14b333c841cfe22a28c7">  146</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a84f6a21f5b4f14b333c841cfe22a28c7">GetInputType</a>()</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../de/d8a/class_continuous_weapon_manipulation_action_input.html">ContinuousWeaponManipulationActionInput</a>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    } </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a7f4440de643cbaf55c96e3d171a30db6">  151</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a7f4440de643cbaf55c96e3d171a30db6">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>();</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/df3/class_c_c_t_self.html">CCTSelf</a>;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>};</div>
<div class="ttc" id="a4___world_2_classes_2_user_actions_component_2__constants_8c_html_a4eb1e98494181fa7bcd7ed24381d61e6"><div class="ttname"><a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#a4eb1e98494181fa7bcd7ed24381d61e6">AC_SINGLE_USE</a></div><div class="ttdeci">const int AC_SINGLE_USE</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c_source.html#l00002">_constants.c:2</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_self_html"><div class="ttname"><a href="../../d6/df3/class_c_c_t_self.html">CCTSelf</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d58/_c_c_t_self_8c_source.html#l00001">CCTSelf.c:2</a></div></div>
<div class="ttc" id="aclass_continuous_weapon_manipulation_action_input_html"><div class="ttname"><a href="../../de/d8a/class_continuous_weapon_manipulation_action_input.html">ContinuousWeaponManipulationActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00820">ActionInput.c:821</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_html"><div class="ttname"><a href="../../d7/dfa/class_firearm_action_attach_magazine.html">FirearmActionAttachMagazine</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00001">FirearmActionAttachMagazine.c:2</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_html_a31955c01af1aa972e72cefe8bbc8a4f9"><div class="ttname"><a href="../../d7/dfa/class_firearm_action_attach_magazine.html#a31955c01af1aa972e72cefe8bbc8a4f9">FirearmActionAttachMagazine::CanBePerformedFromInventory</a></div><div class="ttdeci">override bool CanBePerformedFromInventory()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00053">FirearmActionAttachMagazine.c:53</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_html_a551c195a2bbac1428956798d753a6708"><div class="ttname"><a href="../../d7/dfa/class_firearm_action_attach_magazine.html#a551c195a2bbac1428956798d753a6708">FirearmActionAttachMagazine::ActionConditionContinue</a></div><div class="ttdeci">override bool ActionConditionContinue(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00037">FirearmActionAttachMagazine.c:37</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_html_a93ae799b68309b671d0aad8e7ce62907"><div class="ttname"><a href="../../d7/dfa/class_firearm_action_attach_magazine.html#a93ae799b68309b671d0aad8e7ce62907">FirearmActionAttachMagazine::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00026">FirearmActionAttachMagazine.c:26</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_html_a97721ae6eb2cc2421689f962aa0eaa73"><div class="ttname"><a href="../../d7/dfa/class_firearm_action_attach_magazine.html#a97721ae6eb2cc2421689f962aa0eaa73">FirearmActionAttachMagazine::GetActionCategory</a></div><div class="ttdeci">override int GetActionCategory()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00011">FirearmActionAttachMagazine.c:11</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_html_aad0be74e804d88fe890f458be08096dc"><div class="ttname"><a href="../../d7/dfa/class_firearm_action_attach_magazine.html#aad0be74e804d88fe890f458be08096dc">FirearmActionAttachMagazine::Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00042">FirearmActionAttachMagazine.c:42</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_html_ab1e20e8c393ac30474d98b82cd59cae6"><div class="ttname"><a href="../../d7/dfa/class_firearm_action_attach_magazine.html#ab1e20e8c393ac30474d98b82cd59cae6">FirearmActionAttachMagazine::CanBePerformedFromQuickbar</a></div><div class="ttdeci">override bool CanBePerformedFromQuickbar()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00058">FirearmActionAttachMagazine.c:58</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_html_ad74a8f6ded04998b5ee82a919ff978a8"><div class="ttname"><a href="../../d7/dfa/class_firearm_action_attach_magazine.html#ad74a8f6ded04998b5ee82a919ff978a8">FirearmActionAttachMagazine::FirearmActionAttachMagazine</a></div><div class="ttdeci">void FirearmActionAttachMagazine()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00006">FirearmActionAttachMagazine.c:6</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html">FirearmActionAttachMagazineQuick</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00082">FirearmActionAttachMagazine.c:83</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html_a15c727d47dfdc96623fe7a55b0ea2fc6"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a15c727d47dfdc96623fe7a55b0ea2fc6">FirearmActionAttachMagazineQuick::SetupAction</a></div><div class="ttdeci">override bool SetupAction(PlayerBase player, ActionTarget target, ItemBase item, out ActionData action_data, Param extra_data=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00111">FirearmActionAttachMagazine.c:111</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html_a3ed8beca445d7b564038e82ae48e045c"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a3ed8beca445d7b564038e82ae48e045c">FirearmActionAttachMagazineQuick::HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00136">FirearmActionAttachMagazine.c:136</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html_a515dddf1a3622c019ef7d6eda76b7bc9"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a515dddf1a3622c019ef7d6eda76b7bc9">FirearmActionAttachMagazineQuick::HasProgress</a></div><div class="ttdeci">override bool HasProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00141">FirearmActionAttachMagazine.c:141</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html_a789d82471d93a0dbd99ea07d2af99f6b"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a789d82471d93a0dbd99ea07d2af99f6b">FirearmActionAttachMagazineQuick::Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00125">FirearmActionAttachMagazine.c:125</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html_a7f4440de643cbaf55c96e3d171a30db6"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a7f4440de643cbaf55c96e3d171a30db6">FirearmActionAttachMagazineQuick::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00151">FirearmActionAttachMagazine.c:151</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html_a84f6a21f5b4f14b333c841cfe22a28c7"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#a84f6a21f5b4f14b333c841cfe22a28c7">FirearmActionAttachMagazineQuick::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00146">FirearmActionAttachMagazine.c:146</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html_ab079bdbec2e6b9376823297fcbfb95b1"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#ab079bdbec2e6b9376823297fcbfb95b1">FirearmActionAttachMagazineQuick::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00088">FirearmActionAttachMagazine.c:88</a></div></div>
<div class="ttc" id="aclass_firearm_action_attach_magazine_quick_html_ad6ba5eda892299889da75b93689135a2"><div class="ttname"><a href="../../d0/d9d/class_firearm_action_attach_magazine_quick.html#ad6ba5eda892299889da75b93689135a2">FirearmActionAttachMagazineQuick::FirearmActionAttachMagazineQuick</a></div><div class="ttdeci">void FirearmActionAttachMagazineQuick()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d62/_firearm_action_attach_magazine_8c_source.html#l00084">FirearmActionAttachMagazine.c:84</a></div></div>
<div class="ttc" id="aclass_firearm_action_base_html"><div class="ttname"><a href="../../d1/d3a/class_firearm_action_base.html">FirearmActionBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/ddc/_firearm_action_base_8c_source.html#l00001">FirearmActionBase.c:2</a></div></div>
<div class="ttc" id="aclass_human_command_weapons_html"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00893">human.c:894</a></div></div>
<div class="ttc" id="aclass_human_command_weapons_html_a2b8854c339f238e2a1ec7e1a6e58c298"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">HumanCommandWeapons::GetRunningAction</a></div><div class="ttdeci">proto native int GetRunningAction()</div><div class="ttdoc">returns -1 when no action is running or RELOAD,MECHANISM, ....</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_magazine_storage_html"><div class="ttname"><a href="../../d7/da1/class_magazine_storage.html">MagazineStorage</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d12/_magazine_8c_source.html#l00461">Magazine.c:462</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_weapon___base_html"><div class="ttname"><a href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a></div><div class="ttdoc">shorthand</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d62/_bolt_action_rifle___base_8c_source.html#l00005">BoltActionRifle_Base.c:6</a></div></div>
<div class="ttc" id="aclass_weapon_html"><div class="ttname"><a href="../../db/de5/class_weapon.html">Weapon</a></div><div class="ttdoc">script counterpart to engine's class Weapon</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00048">InventoryItem.c:49</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00103">EnConvert.c:103</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
<div class="ttc" id="ahuman_8c_html_a70aa34d22d03160ea5e3d5248cd37093"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a></div><div class="ttdeci">WeaponActions</div><div class="ttdoc">actions</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00716">human.c:717</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_dec00b357cca7467cd345302addc1b2a.html">Weapons</a></li><li class="navelem"><a class="el" href="../../db/d62/_firearm_action_attach_magazine_8c.html">FirearmActionAttachMagazine.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
